#author: @zeyu
select * 
from spl_2016.subject
where subject.subject like '%chinese' or subject.subject like '%china%';

SELECT *
FROM spl_2016.outraw
inner JOIN spl_2016.subject ON outraw.bibNumber = subject.bibNumber
where subject.subject like '%chinese' or subject.subject like '%china%'
limit 100; 

select 
YEAR(cout) AS years,
count(IF(itemtype like '%bk%', 1, NULL)) AS 'Book',
count(IF(itemtype like '%cas%', 1, NULL)) AS 'Audio Tape',
count(IF(itemtype like '%cd%', 1, NULL)) AS 'CD & DVD',
count(IF(itemtype like '%vhs%', 1, NULL)) AS 'Video(VHS)'
from
(SELECT  distinct id,barcode,itemNumber,itemtype, title, cout, deweyClass
FROM spl_2016.outraw
inner JOIN spl_2016.subject ON outraw.bibNumber = subject.bibNumber
where subject.subject like '%chinese' or subject.subject like '%china%') as A 
where YEAR(cout) not in (2023)
GROUP BY YEAR(cout)
ORDER BY YEAR(cout) DESC;

SELECT distinct id, barcode,itemNumber, itemtype, title, cout, deweyClass
FROM spl_2016.outraw
inner JOIN spl_2016.subject ON outraw.bibNdeweyClassumber = subject.bibNumber
where subject.subject like '%chinese' or subject.subject like '%china%'
limit 100;

select * 
from spl_2016.outraw
where deweyClass != '' and deweyClass >= 000 
limit 100;


select 
YEAR(cout) AS years,
count(IF(deweyClass >= 000 and deweyClass < 100, 1, NULL)) AS 'Computer science, information and general works',
count(IF(deweyClass >= 100 and deweyClass < 200, 1, NULL)) AS 'Philosophy and psychology',
count(IF(deweyClass >= 200 and deweyClass < 300, 1, NULL)) AS 'Religion',
count(IF(deweyClass >= 300 and deweyClass < 400, 1, NULL)) AS 'Social sciences',
count(IF(deweyClass >= 400 and deweyClass < 500, 1, NULL)) AS 'Language',
count(IF(deweyClass >= 500 and deweyClass < 600, 1, NULL)) AS 'Technology',
count(IF(deweyClass >= 600 and deweyClass < 700, 1, NULL)) AS 'Associations, organizations and museums',
count(IF(deweyClass >= 700 and deweyClass < 800, 1, NULL)) AS 'Arts and recreation',
count(IF(deweyClass >= 800 and deweyClass < 900, 1, NULL)) AS 'Literature',
count(IF(deweyClass >= 900 and deweyClass < 1000, 1, NULL)) AS 'History and geography'
from
(SELECT  distinct id,barcode,itemNumber,itemtype, title, cout, deweyClass
FROM spl_2016.outraw
inner JOIN spl_2016.subject ON outraw.bibNumber = subject.bibNumber
where subject.subject like '%chinese' or subject.subject like '%china%') as A 
where YEAR(cout) not in (2023) and deweyClass != ''
GROUP BY YEAR(cout)
ORDER BY YEAR(cout) DESC;

select 
YEAR(cout) AS years,
count(IF(deweyClass = 0000, 1, NULL)) AS 'Not in Dewey Class',
count(IF(deweyClass > 000 and deweyClass < 100, 1, NULL)) AS 'Computer science, information and general works',
count(IF(deweyClass >= 100 and deweyClass < 200, 1, NULL)) AS 'Philosophy and psychology',
count(IF(deweyClass >= 200 and deweyClass < 300, 1, NULL)) AS 'Religion',
count(IF(deweyClass >= 300 and deweyClass < 400, 1, NULL)) AS 'Social sciences',
count(IF(deweyClass >= 400 and deweyClass < 500, 1, NULL)) AS 'Language',
count(IF(deweyClass >= 500 and deweyClass < 600, 1, NULL)) AS 'Technology',
count(IF(deweyClass >= 600 and deweyClass < 700, 1, NULL)) AS 'Associations, organizations and museums',
count(IF(deweyClass >= 700 and deweyClass < 800, 1, NULL)) AS 'Arts and recreation',
count(IF(deweyClass >= 800 and deweyClass < 900, 1, NULL)) AS 'Literature',
count(IF(deweyClass >= 900 and deweyClass < 1000, 1, NULL)) AS 'History and geography'
from
(SELECT  distinct id,barcode,itemNumber,itemtype, title, cout, deweyClass
FROM spl_2016.outraw
inner JOIN spl_2016.subject ON outraw.bibNumber = subject.bibNumber
where subject.subject like '%chinese' or subject.subject like '%china%') as A 
where YEAR(cout) in (2006,2022)
GROUP BY YEAR(cout);


